foreman should allow plugins to update the Rabl view_path

08/07/2015 10:33 AM - Phirince Philip

Status: Closed   

Priority: Normal   

Assignee: Phirince Philip   

Category: Plugin integration   

Target version: 1.9.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2596

  

Description

This is related to this issue:

https://github.com/theforeman/foreman_hooks/issues/24

I would like to have other plugins (in this case foreman_discovery) to be able to update the rabl path.

Currently, rabl_init.rb sets the config.view_path. It should instead append to it.

-PP

Related issues:

Blocks Discovery - Bug #11313: update the Rable view_path of foreman Closed 08/07/2015

Associated revisions

Revision cf043905 - 08/11/2015 04:10 AM - Phirince Philip 

fixes #11312 - Allow plugins to update the Rabl view_paths

Revision 5bbdcf64 - 09/09/2015 10:52 AM - Phirince Philip 

fixes #11312 - Allow plugins to update the Rabl view_paths

(cherry picked from commit cf043905057d77d00618d9b0c8c3c21b51a9d425)

History

#1 - 08/07/2015 10:38 AM - Phirince Philip

Phirince Philip wrote:

This is related to this issue:

https://github.com/theforeman/foreman_hooks/issues/24

I would like to have other plugins (in this case foreman_discovery) to be able to update the rabl path.

Currently, rabl_init.rb sets the config.view_path. It should instead append to it.

-PP

 Here's a pull request to fix this:

https://github.com/theforeman/foreman/pull/2596

-PP

#2 - 08/07/2015 10:53 AM - Phirince Philip

- Blocks Bug #11313: update the Rable view_path of foreman added
https://github.com/theforeman/foreman/pull/2596


#3 - 08/07/2015 10:55 AM - Dominic Cleal

- Category set to Plugin integration

- Status changed from New to Ready For Testing

- Assignee set to Phirince Philip

- Pull request https://github.com/theforeman/foreman/pull/2596 added

- Pull request deleted ()

#4 - 08/11/2015 04:16 AM - Dominic Cleal

- translation missing: en.field_release set to 72

#5 - 08/11/2015 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cf043905057d77d00618d9b0c8c3c21b51a9d425.
